/*
 * Class CHAIN [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1806 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1806 [] = {0xFF01,1551,1805,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1806 [] = {0xFF01,1805,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1806 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1806 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1806 [] = {0xFF01,1805,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1806 [] = {0xFF01,1805,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1806 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1806 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1806 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1806 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1806 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1806 [] = {1805,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1806 [] = {0xFF01,1805,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1806 [] = {0xFF01,1792,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1806 [] = {0xFF01,1787,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1806 [] = {0xFF01,1805,881,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1806 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1806 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1806 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1806[] = {
	{EIF_GENERIC(NULL), 12144, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1806), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1806), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1806), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1806), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1806), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1806), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1806), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1806), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1806), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1806), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1806), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1806), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1806), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1806), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12147, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9213, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8629, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8632, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1806), 8837, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1806), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1806), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9273, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9087, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12148, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12151, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1806), 8830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12154, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12141, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9279, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1806), 11015, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1806), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1806), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12160, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12153, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8833, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9275, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12164, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1806), 12145, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1806), 12146, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12155, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12158, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12161, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12162, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12142, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1806), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8829, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1806), 12149, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1806), 12150, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12157, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12163, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1806), 12149, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1806), 12152, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12151, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1806), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1806(void)
{
	IDSC(desc_1806, 0, 1805);
	IDSC(desc_1806 + 1, 1, 1805);
	IDSC(desc_1806 + 32, 1134, 1805);
	IDSC(desc_1806 + 41, 1060, 1805);
	IDSC(desc_1806 + 47, 1444, 1805);
	IDSC(desc_1806 + 56, 1135, 1805);
	IDSC(desc_1806 + 65, 1088, 1805);
	IDSC(desc_1806 + 67, 1534, 1805);
	IDSC(desc_1806 + 74, 1245, 1805);
	IDSC(desc_1806 + 77, 387, 1805);
	IDSC(desc_1806 + 79, 636, 1805);
	IDSC(desc_1806 + 93, 916, 1805);
	IDSC(desc_1806 + 99, 1570, 1805);
	IDSC(desc_1806 + 102, 778, 1805);
	IDSC(desc_1806 + 103, 254, 1805);
	IDSC(desc_1806 + 106, 554, 1805);
	IDSC(desc_1806 + 107, 878, 1805);
	IDSC(desc_1806 + 108, 794, 1805);
}


#ifdef __cplusplus
}
#endif
